Bug 4339 - Condor adapter's poll subroutine not working for cont > 1
: Condor adapter's poll subroutine not working for cont > 1
Status: RESOLVED FIXED
: GRAM
wsrf scheduler interface
: development
: PC Linux
: P3 blocker
: 4.0.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-04-11 14:03 by
Modified: 2006-04-14 13:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-04-11 14:03:50
The submit219 scheduler test isn't working. The container log seems to indicate
that the poll adapter command is failing. Here's the cryptic output from
globusrun-ws:

logan% globusrun-ws -submit -s -Ft Condor -f submit_test/submit219.xml
Submitting job...Done.
Job ID: uuid:6531192c-c98d-11da-947a-000d61215ff0
Termination time: 04/12/2006 19:00 GMT
Current job state: Pending
Current job state: Failed
Destroying job...Done.
globusrun-ws: Job failed: Error code: 202
For input string: ""
------- Comment #1 From 2006-04-11 15:30:45 -------
I appears that the poll sub doesn't return a state when
emit_condor_processes=1. This messes up the Java code that parses the stdout.
Here's my proposed fix:

Index: condor.in
===================================================================
RCS file:
/home/globdev/CVS/globus-packages/gram/jobmanager/setup/condor/condor.in,v
retrieving revision 1.15.6.6
diff -u -r1.15.6.6 condor.in
--- condor.in   21 Mar 2006 21:29:48 -0000      1.15.6.6
+++ condor.in   11 Apr 2006 20:30:09 -0000
@@ -502,6 +502,11 @@
             $state = Globus::GRAM::JobState::SUSPENDED;
         }
     }
+    else
+    {
+        $state = Globus::GRAM::JobState::DONE;
+    }
+

     if($self->{STDIO_MERGER}) {
         $self->{STDIO_MERGER}->poll($state == Globus::GRAM::JobState::DONE);
------- Comment #2 From 2006-04-14 13:41:20 -------
Whoops, forgot to clost this. Fix comitted to the branch and trunk.